$blockBorderRadius: 8px;
$blockItemSize: 245px;
$blockItemDescriptionHeight: 70px;
$navigationItemSize: 50px;
$blockMainColor: #cbcfd8;

.block-items-container {
    background: white;
    height: $blockItemSize;
    border-bottom-left-radius: $blockBorderRadius;
    border-bottom-right-radius: $blockBorderRadius;
    display: flex;

    flex-direction: row;
    align-items: center;
    position: relative;

    .block-item-container-icon {
        &:hover{
          img {
              opacity: 0.75;
          }
        }
    }

    button {
        position: absolute;
        z-index: 999;
        margin-top: -20px;
        background: $blockMainColor;
        width: $navigationItemSize;
        height: $navigationItemSize;
        border: none;
        border-radius: 0px;

        .block-items-navigation {
            width: 30px;
            height: 30px;
            display: inline-block;
        }

        .prev-icon  {
            margin: -20px 0px 0px -20px;
            background-image: url('/assets/svg/icon-prev-inactive.svg');
        }

        .next-icon  {
            margin: -20px 0px 0px -13px;
            background-image: url('/assets/svg/icon-next-inactive.svg');
        }

        &:focus, &:hover, &:active{
           outline: none !important;

           .prev-icon {
               background-image: url('/assets/svg/icon-prev-active.svg');
           }
           .next-icon {
               background-image: url('/assets/svg/icon-next-active.svg');
           }
        }

        &:first-child {
           left: 0px;
           border-top-right-radius: $blockBorderRadius;
           border-bottom-right-radius: $blockBorderRadius;
        }

        &:last-child {
           right: 0px;
           border-top-left-radius: $blockBorderRadius;
           border-bottom-left-radius: $blockBorderRadius;
        }
    }

    .block-items-scrollable-container {
        width: 100%;
        height: $blockItemSize;
        overflow: hidden;

        .scrollable-box {
            display: flex;

            flex-direction: row;
            transition: all 1s ease-in-out;
            height: 100%;
        }
    }
}
